package com.huimv.environ.eco.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.huimv.environ.eco.entity.SysDayWater;
import com.huimv.environ.eco.entity.dto.DayWaterDto;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author astupidcoder
 * @since 2021-11-12
 */
@Repository
public interface SysDayWaterMapper extends BaseMapper<SysDayWater> {

    Double countWater(@Param(Constants.WRAPPER) QueryWrapper<SysDayWater> wrapper);

    List<SysDayWater> listAllWater(@Param(Constants.WRAPPER) QueryWrapper<SysDayWater> wrapper);

    List<SysDayWater> listDay(@Param(Constants.WRAPPER) QueryWrapper<SysDayWater> wrapper);

    DayWaterDto countMonthAndWeek(@Param(Constants.WRAPPER) QueryWrapper<SysDayWater> wrapper);
}
