package com.huimv.receiver.eco.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author astupidcoder
 * @since 2021-12-02
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
public class BaseWarningInfo extends Model {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private Integer farmId;

    private Integer level;

    private String msg;

    private String levelName;

    private String warningName;

    @JsonFormat(pattern = "MM-dd HH:mm:ss" ,timezone = "GMT+8")
    private Date warningTime;

    @JsonFormat(pattern = "MM-dd HH:mm:ss" ,timezone = "GMT+8")
    private Date uploadTime;

    private Integer alarmType;
}
