package com.huimv.video.dhicc.test.constant;

/**
 * 常量类
 */
public class Constant {

    public static final String SERVICE = "Evo-ThirdParty";

    /*********************************************http请求****************************************************/
    public static final String HTTP_GET = "GET";
    public static final String HTTP_POST = "POST";
    public static final String HTTP_PUT = "PUT";
    public static final String HTTP_DELETE = "DELETE";

    /*********************************************错误码****************************************************/
//    //系统异常错误码
//    public static String SYSTEMERROR_CODE = "99999999";
//    //系统异常错误信息
//    public static String SYSTEMERROR_MSG = "系统异常";
//    //系统正常错误码
//    public static String SUCESS_CODE = "000000";
//    //系统正常错误信息
//    public static String SUCCESS_MSG = "处理成功";

    /*********************************************鉴权中心****************************************************/
    //刷新token
    public static final String REFRESH_TOKEN = "/evo-apigw/evo-oauth/{version}/oauth/extend/refresh/token";
    //获取token
    public static final String GET_TOKEN = "/evo-apigw/evo-oauth/{version}/oauth/extend/token";
    //获取公钥
    public static final String GET_PUBLIC_KEY = "/evo-apigw/evo-oauth/{version}/oauth/public-key";

//    /*********************************************基础框架****************************************************/
//    //人员分页查找
//    public static final String PERSON_PAGE = "/evo-apigw/evo-brm/{version}/person/subsystem/page";
//    //人员批量添加
//    public static final String PERSON_BATCH_ADD = "/evo-apigw/evo-brm/{version}/person/subsystem/batch-add";
//    //人员批量删除
//    public static final String PERSON_BATCH_DELETE = "/evo-apigw/evo-brm/{version}/person/delete";
//    //人员全局id生成
//    public static final String PERSON_ID_BATCH_GENERATE = "/evo-apigw/evo-brm/{version}/person/subsystem/batch-generate-id";
//    //卡片分页查找
//    public static final String CARD_PAGE = "/evo-apigw/evo-brm/{version}/card/subsystem/page";
//    //卡片批量添加
//    public static final String CARD_BATCH_ADD = "/evo-apigw/evo-brm/{version}/card/batch-add";
//    //卡片全局id生成
//    public static final String CARD_ID_BATCH_GENERATE = "/evo-apigw/evo-brm/{version}/card/batch-generate-id";
//    //卡片批量退卡
//    public static final String CARD_BATCH_DELETE = "/evo-apigw/evo-brm/{version}/card/delete";
//    //卡片批量删除
//    public static final String CARD_BATCH_RETURN = "/evo-apigw/evo-brm/{version}/card/return";
//    //车辆分页查找
//    public static final String CAR_PAGE = "/evo-apigw/evo-brm/{version}/car/page";
//    //用户分页查找
//    public static final String USER_PAGE = "/evo-apigw/evo-brm/{version}/user/subsystem/page";
//    //角色分页查找
//    public static final String ROLE_PAGE = "/evo-apigw/evo-brm/{version}/role/subsystem/page";
//    //设备分页查找
//    public static final String DEVICE_PAGE = "/evo-apigw/evo-brm/1.2.0/device/channel/subsystem/page";
//    //组织分页查找
//    public static final String ORGANIZATION_PAGE = "/evo-apigw/evo-brm/{version}/organization/subsystem/page";
//    //部门分页查找
//    public static final String DEPARTMENT_PAGE = "/evo-apigw/evo-brm/{version}/department/page";
//
//    /*********************************************事件中心****************************************************/
//    //事件订阅
//    public static final String EVENT_SUBSCRIBE = "/evo-apigw/evo-event/{version}/subscribe/mqinfo";
//    //取消事件订阅
//    public static final String CANCEL_EVENT_SUBSCRIBE = "/evo-apigw/evo-event/{version}/subscribe/mqinfo?name={name}";
//
//    /*********************************************视频应用****************************************************/
//    //云台镜头控制
//    public static final String OPERATE_CAMERA = "/evo-apigw/admin/API/DMS/Ptz/OperateCamera";
//    //云台方向控制
//    public static final String OPERATE_DIRECT = "/evo-apigw/admin/API/DMS/Ptz/OperateDirect";
//    //云台功能控制
//    public static final String OPERATE_FUNCTION = "/evo-apigw/admin/API/DMS/Ptz/OperateFunction";
//    //语音对讲
//    public static final String START_TALK = "/evo-apigw/admin/API/MTS/Audio/StartTalk";
//    //获取RTSP实时流接口地址
//    public static final String RTSP_REQUEST_URL = "/evo-apigw/admin/API/MTS/Video/StartVideo";
//    //获取HLS/FLV/RTMP实时流接口地址
//    public static final String HLS_FLV_RTMP_URL = "/evo-apigw/admin/API/video/stream/realtime";
//    //获取回放流地址
//    public static final String PLAY_BACK_ADDRESS = "/evo-apigw/evo-event/{version}/subscribe/mqinfo";
//    //查询报警录像信息:前置条件：配置报警预案计划 获取报警录像
//    public static final String AlARM_RECORD_GET = "/evo-apigw/admin/API/SS/Record/GetAlarmRecords";
//    //查询普通录像信息:根据通道编码、录像来源、开始时间和结束时间等条件查询录像信息
//    public static final String PLAY_INFO_GET = "/evo-apigw/admin/API/SS/Record/QueryRecords";
//    //HLS/RTMP获取流地址
//    public static final String HLS_RTMP_STRREAM_ADDRESS_POST = "/evo-apigw/admin/API/video/stream/record";
//    //以文件形式回放录像:根据通道编码和录像段文件名称等条件获取对应录像的RTSP流地址
//    public static final String PLAY_BACK_BY_FILE = "/evo-apigw/admin/API/SS/Playback/StartPlaybackByFile";
//    //以时间形式回放录像
//    public static final String PLAY_BACK_BY_TIME = "/evo-apigw/admin/API/SS/Playback/StartPlaybackByTime";
//
//    /*********************************************门禁子系统****************************************************/
//    //按人授权新增
//    public static final String ASSESS_CONTROL_URL_AUTH_PERSON_ADD = "/evo-apigw/evo-accesscontrol/{version}/card/accessControl/doorAuthority";
//    //按人授权更新
//    public static final String ASSESS_CONTROL_URL_AUTH_PERSON_UPDATE = "/evo-apigw/evo-accesscontrol/{version}/card/accessControl/doorAuthority/deltaUpdate";
//    //按人授权删除
//    public static final String ASSESS_CONTROL_URL_AUTH_PERSON_DELETE = "/evo-apigw/evo-accesscontrol/{version}/card/accessControl/doorAuthority/delete/batch";
//    //人员权限分页查询
//    public static final String ASSESS_CONTROL_URL_AUTH_PERSON_PAGE_LIST = "/evo-apigw/evo-accesscontrol/{version}/card/accessControl/doorAuthority/bycondition/combined";
//    //新增按部门授权(通道)
//    public static final String ASSESS_CONTROL_URL_AUTH_DEPT_CHANNEL_CODE_ADD = "/evo-apigw/evo-accesscontrol/{version}/card/accessControl/doorAuthority/authorizeAllDeptByChannelCode";
//    //新增按部门授权(门组)
//    public static final String ASSESS_CONTROL_URL_AUTH_DEPT_DOOR_GROUP_ADD = "/evo-apigw/evo-accesscontrol/{version}/card/accessControl/doorAuthority/authorizeAllDeptByDoorGroups";
//    //删除按部门授权(通道)
//    public static final String ASSESS_CONTROL_URL_AUTH_DEPT_CHANNEL_CODE_DEL = "/evo-apigw/evo-accesscontrol/{version}/card/accessControl/doorAuthority/removeAuthorizeAllByChannelCode";
//    //删除按部门授权(门组)
//    public static final String ASSESS_CONTROL_URL_AUTH_DEPT_DOOR_GROUP_DEL = "/evo-apigw/evo-accesscontrol/{version}/card/accessControl/doorAuthority/removeAuthorizeAllByDoorGroups";
//    //部门权限分页查询
//    public static final String ASSESS_CONTROL_URL_AUTH_DEPT_PAGE = "/evo-apigw/evo-accesscontrol/{version}/card/accessControl/doorAuthority/authorizedDepartment/bycondition/combined";
//    //门组添加
//    public static final String ASSESS_CONTROL_URL_DOOR_GROUP_ADD = "/evo-apigw/evo-accesscontrol/{version}/card/accessControl/doorGroup";
//    //门组删除
//    public static final String ASSESS_CONTROL_URL_DOOR_GROUP_DEL = "/evo-apigw/evo-accesscontrol/{version}/card/accessControl/doorGroup/delete/batch";
//    //门通道控制开门
//    public static final String ASSESS_CONTROL_URL_OPEN_DOOR = "/evo-apigw/evo-accesscontrol/{version}/card/accessControl/channelControl/openDoor";
//    //门通道控制关门
//    public static final String ASSESS_CONTROL_URL_CLOSE_DOOR = "/evo-apigw/evo-accesscontrol/{version}/card/accessControl/channelControl/closeDoor";
//    //获取二维码加密串
//    public static final String ASSESS_CONTROL_URL_ENCODE_STRING = "/evo-apigw/evo-accesscontrol/{version}/card/card/generateQRCode/{personCode}";
//    //门通道控制获取门状态
//    public static final String ASSESS_CONTROL_URL_DEVICE_STATE_SYNC = "/evo-apigw/evo-accesscontrol/{version}/card/accessControl/channelControl/getDoorStatus";
//    //门通道查询
//    public static final String ASSESS_CONTROL_URL_DEVICE_STATE_QUERY = "/evo-apigw/evo-accesscontrol/{version}/card/accessControl/channelControl/channels";
//    //刷卡记录分页
//    public static final String ASSESS_CONTROL_URL_CARD_RECORD_QUERD = "/evo-apigw/evo-accesscontrol/{version}/card/accessControl/swingCardRecord/bycondition/combined";
//    //刷卡记录详情查询
//    public static final String ASSESS_CONTROL_URL_CARD_RECORD_DETAIL = "/evo-apigw/evo-accesscontrol/{version}/card/accessControl/swingCardRecord/{id}";
//
//    /*********************************************报警主机子系统****************************************************/
//    //报警主机操作控制
//    public static final String ALARM_HOST_CONTROL = "/evo-apigw/evo-alarm/{version}/alarmhosts/operate?nodeCode={nodeCode}&operate={operate}";
//    //报警主机操作控制(用于处理资源绑定数据)
//    public static final String ALARM_HOST_CONTROL_OPERATE = "/evo-apigw/evo-alarm/{version}/alarmhosts/operate";
//    //报警主机操作控制(用于处理资源绑定数据)
//    public static final String ALARM_HOST_STATE_QUERY_ALL = "/evo-apigw/evo-alarm/{version}/alarmhosts/all";
//    //报警主机操作控制(用于处理资源绑定数据)
//    public static final String ALARM_HOST_STATE_QUERY_ONE = "/evo-apigw/evo-alarm/{version}/alarmhosts/one/{deviceCode}";
//
//
//    /*********************************************人脸应用子系统****************************************************/
//    //人员新增
//    public static final String FACE_PERSON_ADD = "/evo-apigw/evo-face/personInfo/add";
//    //人员批量删除
//    public static final String FACE_PERSON_DELETE = "/evo-apigw/evo-face/personInfo/deleteBatch/{groupid}";
//    //人员修改
//    public static final String FACE_PERSON_UPDATE = "/evo-apigw/evo-face/personInfo/update";
//    //人员分页查找
//    public static final String FACE_PERSON_PAGE = "/evo-apigw/evo-face/personInfo/page";
//    //人像批量布控
//    public static final String FACE_PERSON_CONTROL = "/evo-apigw/evo-face/channelGroup/add/batch";
//    //人像绑定
//    public static final String FACE_PERSON_IMAGE_BIND = "/evo-apigw/evo-face/deptGroup/sync/bindPerson";
//    //以图搜图前置条件（查询设备树）
//    public static final String FACE_DEVICE_TREE_QUERY = "/evo-apigw/evo-face/tree/getDevChnIdsAndName";
//    //抓拍库以图搜图前置条件（根据设备编码获取通道列表）
//    public static final String FACE_CHANNEL_LIST_QUERY = "/evo-apigw/evo-face/faceSearch/channelList";
//    //人像库搜图前置条件（根据设备编码查询人像库）
//    public static final String FACE_GROUP_REL_QUERY = "/evo-apigw/evo-face/faceSearch/getGroupRelByCondition";
//    //人像以图搜图（IVSS）
//    public static final String FACE_SEARCH_FOR_IVS = "/evo-apigw/evo-face/faceSearch/third/faceSearchForIvs";
//    //人像库第三方搜图同步接口（IVSS）
//    public static final String FACE_SEARCH_SYNC = "/evo-apigw/evo-face/faceSearch/third/faceSearchSync";
//    //人像库以图搜图进度查询
//    public static final String FACE_RROCESS_QUERY = "/evo-apigw/evo-face/faceSearch/third/queryProgress/{sessionId}";
//    //以图搜图对外接口（分页查询搜图结果阶段）
//    public static final String FACE_SEARCH_RESULT = "/evo-apigw/evo-face/faceSearch/third/page";
//
//    /*********************************************客流统计子系统****************************************************/
//    //在场人员查询
//    public static final String PASSENGER_FLOW_PRESENCE_PERSON_PAGE = "/evo-apigw/evo-passengerflow/{version}/statistics/presencePerson/page";
//    //过人记录
//    public static final String PASSENGER_FLOW_IN_AND_OUT_RECORD_PAGE = "/evo-apigw/evo-passengerflow/{version}/statistics/inAndOutRecord/page";
//    //分布分析（日周月年）报分页查询
//    public static final String PASSENGER_FLOW_REGION_REPORT_DISTRIBUTION = "/evo-apigw/evo-passengerflow/{version}/region/report/distribution";
//    //排行分析（日周月年）报查询
//    public static final String PASSENGER_FLOW_REGION_REPORT_RANK = "/evo-apigw/evo-passengerflow/{version}/region/report/rank";
//    //滞留分析查询
//    public static final String PASSENGER_FLOW_REGION_REPORT_RETENTION  = "/evo-apigw/evo-passengerflow/{version}/region/report/retention";
//    //分析报告(日报)查询接口
//    public static final String PASSENGER_FLOW_REGION_REPORT_ANALYSE_DAY = "/evo-apigw/evo-passengerflow/{version}/region/report/analyse/day";
//    //分析报告(周,月,年)查询接口
//    public static final String PASSENGER_FLOW_REGION_REPORT_ANALYSE = "/evo-apigw/evo-passengerflow/{version}/region/report/analyse";
//    //客户画像统计
//    public static final String PASSENGER_FLOW_GET_CUSTOMER_IMAGE = "/evo-apigw/evo-passengerflow/{version}/statistics/customerQuery/getCustomerImage";
//
//    /*********************************************访客管理子系统****************************************************/
//    //访客通行记录分页查询接口
//    public static final String VISITOR_PASS_RECORD_PAGE = "/evo-apigw/evo-visitor/{version}/card/accessControl/swingCardRecord/visitor/bycondition/combined";
//    //当日进出动态-在访人数/离访人数
//    public static final String VISITOR_PERSON_COUNT = "/evo-apigw/evo-visitor/{version}/card/visitor/visitorCount";
//    //统计当日进出动态
//    public static final String VISITOR_IN_OUT_COUNT = "/evo-apigw/evo-visitor/{version}/card/accessControl/count";
//    //访客超时对应来访人
//    public static final String VISITOR_TIME_OUT = "/evo-apigw/evo-visitor/{version}/card/visitor/getVisitorTimeoutByDepartment";
//    //访客预约
//    public static final String VISITOR_APPOINTMENT = "/evo-apigw/evo-visitor/{version}/card/visitor/appointment";
//    //社区云预约访客
//    public static final String VISITOR_COMMUNITY_APPOINTMENT = "/evo-apigw/evo-visitor/{version}/card/visitor/community/appointment";
//
//    /*********************************************停车管理子系统****************************************************/
//    //添加车辆
//    public static final String IPMS_CAR_ADD = "/evo-apigw/ipms/car/add";
//    //车辆进出数据
//    public static final String IPMS_CAR_FIND_HIT = "/evo-apigw/ipms/caraccess/find/his";
//    //过车数据
//    public static final String IPMS_CAR_FIND_CONDITIONS = "/evo-apigw/ipms/carcapture/find/conditions";
//    //过车数据
//    public static final String IPMS_PAYMENT_INFORM = "/evo-apigw/ipms/integration/kingdo/payment/success";
//    //道闸控制
//    public static final String IPMS_SLUICE_CONTROL = "/evo-apigw/ipms/subSystem/control/sluice";
//
//    /*********************************************考勤管理子系统****************************************************/
//    //考勤记录查询
//    public static final String ATTENDANCE_RECORD_PAGE = "/evo-apigw/evo-attendance/{version}/attendance/record/page";
//    //考勤结果查询
//    public static final String ATTENDANCE_RESULT_PAGE = "/evo-apigw/evo-attendance/{version}/attendance/result/page";
//    //人员考勤统计报表分页查询
//    public static final String IPMS_RESULT_STAT_PAGE = "/evo-apigw/evo-attendance/{version}/attendance/result/stat/page";

    /*********************************************Test*********************************/
    //设备数查询
    public static final String ASSESS_CONTROL_URL_Door = "/evo-apigw/evo-accesscontrol/1.0.0/resource/tree/search";

    //门禁所有通道查询
    public static final String CHANNEL_URL = "/evo-apigw/evo-accesscontrol/{version}/card/accessControl/channelControl/channels";

    //门禁所有通道查询02
    public static final String CHANNEL_URL_Test = "/evo-apigw/evo-accesscontrol/1.0.0/resource/tree/nodeList";

    //personList
    public static final String CHANNEL_URL_PERSON_LIST = "/evo-apigw/evo-brm/1.2.0/person/page";

    //videoRecord
    public static final String CHANNEL_URL_VIDEO_RECORD = "/evo-apigw/admin/API/SS/Playback/StartPlaybackByTime";

    //获取事件url
    public static final String CHANNEL_URL_ALARM_RECORD = "/evo-apigw/evo-event/1.2.0/alarm-record/page";

    //车辆列表
    public static final String CAR_LIST = "/evo-apigw/ipms/car/list";

    //添加车辆
    public static final String CAR_LIST_ADD = "/evo-apigw/ipms/car/add";

    //删除车辆
    public static final String CAR_LIST_DELETE = "/evo-apigw/ipms/car/delete/{id}";

    //白名单列表
    public static final String CAR_WHITE_LIST = "/evo-apigw/ipms/carWhiteList/sendCars?pageNum={pageNum}&pageSize={pageSize}";

    //黑名单列表
    public static final String CAR_BLACK_LIST = "/evo-apigw/ipms/carBlackList/sendCars?pageNum={pageNum}&pageSize={pageSize}";

    //所有名单列表
    public static final String CAR_ALL_LIST = "/evo-apigw/ipms/carBlackList/unSendCars?pageNum={pageNum}&pageSize={pageSize}&draw={draw}";

    //添加车辆进黑名单
    public static final String CAR_BLACK_ADD = "/evo-apigw/ipms/carBlackList/update";

    //添加车辆进黑名单
    public static final String CAR_WHITE_ADD = "/evo-apigw/ipms/carWhiteList/update";

    //从白名单删除
    public static final String CAR_WHITE_DELETE = "/evo-apigw/ipms/carWhiteList/delete/batch";

    //从黑名单删除
    public static final String CAR_BLACK_DELETE = "evo-apigw/ipms/carBlackList/delete/batch";

    //从基础列表中删除
    public static final String CAR_BASE_DELETE = "/evo-apigw/ipms/car/delete/batch";

    //车辆通行列表
    public static final String CAR_CAPTURE_RECORD = "/evo-apigw/ipms/carcapture/find/conditions?pageNum={pageNum}&pageSize={pageSize}";

    //event
    public static final String EVENT_URL = "/evo-apigw/evo-event/1.2.0/alarm-record/page";

    //event-count
    public static final String EVENT_COUNT_URL = "/evo-apigw/evo-event/1.0.0/alarm-record/count-num";

    //departmentList
    public static final String DEPARTMENT_LIST_URL = "/evo-apigw/evo-brm/1.2.0/department/page";
}
