package com.huimv.environ.eco.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.huimv.environ.eco.entity.SysMonthWater;
import com.huimv.environ.eco.entity.dto.WaterAndPower;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author astupidcoder
 * @since 2021-11-12
 */
@Repository
public interface SysMonthWaterMapper extends BaseMapper<SysMonthWater> {

    List<SysMonthWater> selecAllMonthWater(@Param(Constants.WRAPPER) QueryWrapper<SysMonthWater> monthWaterWrapper);

    WaterAndPower listAllWaterAndPower(@Param("farmId") Integer farmId);
}
